This error is letting you know that you did not enable "Less Secure Apps" on your mailbox. If you see this error, please go these links to turn them on.

Less Secure Apps (Admin Side): https://admin.google.com/ac/security/lsa
Less Secure Apps (Inbox Side): https://myaccount.google.com/lesssecureapps?pli=1

Please note that, if you believe you are using the correct login and less secure apps is on then try toggling the settings back and forth - this typically resets the settings so please double check everything is on after you toggle it back on.

Did this answer your question?